## netname-2.2.tar.gz

=== Makefile ===
#
# Makefile for netname
#
# Makefile,v 1.7 2011/08/25 18:00:21 kim Exp
#
SHELL	= /bin/sh

RM	= rm -f
MV	= mv -f
INSTALL	= install

DEST	= /usr/local
BINDIR	= $(DEST)/bin
MANDIR	= $(DEST)/man/man$(MANEXT)
MANEXT	= 1

#
# STOP HERE
#

DEFTGT	= netname

all:
	@echo ""
	@echo "Use '$(MAKE) system' where system is one of the following:"
	@echo "- hpux      HP-UX"
	@echo "- linux     Linux"
	@echo "- netbsd    NetBSD"
	@echo "- osf       OSF/1 (Digital Unix)"
	@echo "- sunos     SunOS 4.x (gcc for ANSI-C)"
	@echo "- svr4      System V Release 4 (Dell SVR4 Issue 2.2)"
	@echo "- ultrix    Ultrix 4.4/4.5"
	@echo ""

hpux:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-Aa -D_HPUX_SOURCE +O3 +w1"

linux netbsd:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-pipe -O2 -Wall"

osf:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-fast -w0"

sunos:
	@$(MAKE) $(DEFTGT) \
		CC="gcc -pipe -Wall" \
		CFLAGS="-O2" \
		LIBES="-lresolv"

svr4:
	@$(MAKE) $(DEFTGT) \
		CC="gcc -pipe -Wall" \
		CFLAGS="-O2" \
		LIBES="-lsocket -lnsl"

ultrix:
	@$(MAKE) $(DEFTGT) \
		CFLAGS="-O2"

#
# NORMAL COMPILATION
#

FILES	= 	Makefile \
		README \
		netname.c \
		netname.man

netname: netname.c
	$(CC) $(CFLAGS) -o $@ $? $(LIBES)

inst-all: install install.man

install:
	-$(MV) $(BINDIR)/netname $(BINDIR)/netname.old
	-$(RM) $(BINDIR)/netname.old
	$(INSTALL) -c -s -m 0555 netname $(BINDIR)

install.man:
	-$(RM) $(MANDIR)/netname.$(MANEXT)
	$(INSTALL) -c -m 0444 netname.man $(MANDIR)/netname.$(MANEXT)

clean:
	$(RM) netname netname.tar.gz *.o *~

tar: netname.tar.gz
	@ls -l netname.tar.gz

netname.tar.gz: $(FILES)
	-$(RM) $@
	tar -czf $@ $(FILES)
