=== debian/changelog ===
netname (2.2-1) unstable; urgency=low

  * Adds -a and -n options.

 -- Kimmo Suominen <kimmo@gw.com>  Thu, 08 Dec 2011 05:19:38 +0200

netname (2.0-2) unstable; urgency=low

  * Fix packaging to be for a binary (arch-dependent)

 -- Kimmo Suominen <kimmo@gw.com>  Fri, 02 Sep 2011 00:14:52 +0300

netname (2.0-1) unstable; urgency=low

  * Initial release

 -- Kimmo Suominen <kimmo@gw.com>  Thu, 01 Sep 2011 17:44:28 +0300
