=== debian/control ===
Source: netname
Section: net
Priority: extra
Maintainer: Kimmo Suominen <kimmo@gw.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://kimmo.suominen.com/sw/
#Vcs-Git: git://git.debian.org/collab-maint/netname.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/netname.git;a=summary

Package: netname
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Return the canonical network name of a host
 netname  returns  the  canonical  network name of the given host on the
 standard output.  If no host is given, the name of the local machine is
 used.
